<?php
/**
 * The template for displaying the "ajuts" funds with search capabilities 
 *
 * Template Name: Cercador ajuts 
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 *
 * @package Xarxaprod_theme
 * @since 1.0
 */

get_header();
?>

	<main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header><!-- .page-header -->
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

			endwhile;

			the_posts_navigation();

		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
    <section id="filteredfunds" class="xarxaprod-filtered-funds xarxaprod-ajuts-filtrats">
  
<aside id="fundsfilter" class="xarxaprod-filter-funds xarxaprod-fitre-ajuts">
  <?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); if ( is_plugin_active( 'xarxaprod-wp-plugin/xarxaprod-wp-plugin.php' ) ) { // if plugin active do?>                                
     <nav class="sidebar fund-filter">

     </nav>

   <?php  } //end if is_plugin_active ?>


  </aside>


      <content class="archive-posts <?php xarxaprod_class_posttype(); ?>">


<?php
       // https://support.advancedcustomfields.com/forums/topic/wp_query-using-meta_query-for-an-acf-checkbox-field/#post-145830
       // https://www.advancedcustomfields.com/resources/checkbox/#query-posts
       // https://barn2.com/blog/querying-posts-by-custom-field-acfi/

       $the_query_ajut = new WP_Query(
         array(
           'post_type'     => 'xarxaprod-ajut',
           'post_per_page' => '6'
         )
       ); 
       ?>
       <?php if ( $the_query_ajut->have_posts() ) : ?>
         <?php while ( $the_query_ajut->have_posts() ) : $the_query_ajut->the_post(); ?>

          <?php get_template_part( 'template-parts/section', 'eachpost' ); ?>

<?php
//the_title('<h3>','</h3>');
//  echo '<ul>';
//$postmetas = get_post_meta(get_the_ID());
//	foreach($postmetas as $meta_key=>$meta_value) {
//		echo '<li><code>' . $meta_key . '</code>:<code>' . $meta_value[0] . '</code></li>';
//  } ;
//  echo '</ul>';
?>


         <?php endwhile;//end of the loop ?>
         <?php wp_reset_postdata(); ?>
       <?php endif; //end query ajut ?>

			</content>
	</section>

</main><!-- #main -->

<?php
get_footer();
